# Orkut API . badges

## Instance Methods

Retrieves a badge from a user.

Retrieves the list of visible badges of a user.

### Method Details

`get(userId, badgeId)`

    Retrieves a badge from a user.

    Args:
      userId: string, The ID of the user whose badges will be listed. Can be me to refer to caller. (required)
      badgeId: string, The ID of the badge that will be retrieved. (required)

    Returns:
      An object of the form:

        {
        "badgeSmallLogo": "A String", # The URL for the 24x24 badge logo.
        "kind": "orkut#badge", # Identifies this resource as a badge. Value: "orkut#badge"
        "description": "A String", # The description for the badge, suitable for display.
        "sponsorLogo": "A String", # The URL for the 32x32 badge sponsor logo.
        "sponsorName": "A String", # The name of the badge sponsor, suitable for display.
        "badgeLargeLogo": "A String", # The URL for the 64x64 badge logo.
        "caption": "A String", # The name of the badge, suitable for display.
        "sponsorUrl": "A String", # The URL for the badge sponsor.
        "id": "A String", # The unique ID for the badge.
      }

`list(userId)`

    Retrieves the list of visible badges of a user.

    Args:
      userId: string, The id of the user whose badges will be listed. Can be me to refer to caller. (required)

    Returns:
      An object of the form:

        {
        "items": [ # List of badges retrieved.
          {
            "badgeSmallLogo": "A String", # The URL for the 24x24 badge logo.
            "kind": "orkut#badge", # Identifies this resource as a badge. Value: "orkut#badge"
            "description": "A String", # The description for the badge, suitable for display.
            "sponsorLogo": "A String", # The URL for the 32x32 badge sponsor logo.
            "sponsorName": "A String", # The name of the badge sponsor, suitable for display.
            "badgeLargeLogo": "A String", # The URL for the 64x64 badge logo.
            "caption": "A String", # The name of the badge, suitable for display.
            "sponsorUrl": "A String", # The URL for the badge sponsor.
            "id": "A String", # The unique ID for the badge.
          },
        ],
        "kind": "orkut#badgeList", # Identifies this resource as a collection of badges. Value: "orkut#badgeList"
      }